summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'kde-frameworks/kfilemetadata')
-rw-r--r--kde-frameworks/kfilemetadata/Manifest1
-rw-r--r--kde-frameworks/kfilemetadata/kfilemetadata-5.32.0.ebuild49
2 files changed, 50 insertions, 0 deletions
diff --git a/kde-frameworks/kfilemetadata/Manifest b/kde-frameworks/kfilemetadata/Manifest
index 265d4e45b59..68a81103b76 100644
--- a/kde-frameworks/kfilemetadata/Manifest
+++ b/kde-frameworks/kfilemetadata/Manifest
@@ -1,3 +1,4 @@
DIST kfilemetadata-4.14.3.tar.xz 35908 SHA256 3115e6ebd8b52ae9eb1016a3391b019c34fa443d6a5d9351550c5e0baf0d5371 SHA512 d7321b7e1ad755c0dc267b236a33a011377ba309d94c1497c081edad82171452595ce113428048e455b8b71f3ea480e4e76e797e31a74edd24bcf42617c59acb WHIRLPOOL 7e940864c4d9529bc3d5f8337bb9f22f09e00b653ce51b089b026ba3364c57f3f94df89f011f69e9d5500894f5f953fce29acfc7ee25b884876ada7f5f54fe86
DIST kfilemetadata-5.29.0.tar.xz 135184 SHA256 821df076d1fce4ac7dac067703e3c2ab885676a68e34f36140b10e58ec7b91c2 SHA512 14937b56647f5dc1f924c8d05110c787d5aacbe07fed84936d7fe32d0ebc7c7d3de46f79521e5fcb5c1eef8cb07dbf759579605ef6cfee94ab0373def1281f58 WHIRLPOOL bbcb6613ece829af0a102e99cb83af710129044bea9b1113d34a88e9a3b533c3aa72103da78f64a9f611f1593a14c4d5b5cc949c5333be98545faf655d7cc1e8
DIST kfilemetadata-5.31.0.tar.xz 133588 SHA256 edf2c45097503b808f4c00c544bdde384b761034d9c1f2ff2f282ae8868d6c88 SHA512 471d26e0a6193995615c666058749014747415150a3d2a52b9643c081e6c621661fdebd8ac577129d53d4b8e2f996c9f64705014f1995ef143be81e57a253eab WHIRLPOOL 55be2a1b6790ef02f8b698bbbced9a7fa0b09f1a49843a811544358ea15200cc7133197e74363f8ea7d5d1b0b510d53a1963fbbb7566f918e2fb59641c9cb2cb
+DIST kfilemetadata-5.32.0.tar.xz 216268 SHA256 0e817ff8d63de773b4e320e4864936bb724cd80e04ad38c2035dd19eeb0ba905 SHA512 7662674a228afa35379fd5b360efd604b7291f02cf882e8dcf3c04a83ef6b2623733b89ec496de14ad075b465281c781817f4187500c1d7352cc3e41e743d645 WHIRLPOOL 3c514f6e7d496d3796dd03c6174b422218dd1e3c0f610204434c683c947e90d4bf6499ec741d7c8c7808bd10d9b6da79eb99745c20e1e7d10806be68e1f7865e
diff --git a/kde-frameworks/kfilemetadata/kfilemetadata-5.32.0.ebuild b/kde-frameworks/kfilemetadata/kfilemetadata-5.32.0.ebuild
new file mode 100644
index 00000000000..c4b8f2ce6a2
--- /dev/null
+++ b/kde-frameworks/kfilemetadata/kfilemetadata-5.32.0.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit eutils kde5
+
+DESCRIPTION="Library for extracting file metadata"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="epub exif ffmpeg libav pdf taglib"
+
+RDEPEND="
+ $(add_frameworks_dep karchive)
+ $(add_frameworks_dep ki18n)
+ $(add_qt_dep qtxml)
+ epub? ( app-text/ebook-tools )
+ exif? ( media-gfx/exiv2:= )
+ ffmpeg? (
+ libav? ( media-video/libav:= )
+ !libav? ( media-video/ffmpeg:0= )
+ )
+ pdf? ( app-text/poppler[qt5] )
+ taglib? ( media-libs/taglib )
+"
+DEPEND="${RDEPEND}
+ kernel_linux? ( sys-apps/attr )
+"
+
+src_configure() {
+ local mycmakeargs=(
+ $(cmake-utils_use_find_package epub EPub)
+ $(cmake-utils_use_find_package exif Exiv2)
+ $(cmake-utils_use_find_package ffmpeg FFmpeg)
+ $(cmake-utils_use_find_package pdf PopplerQt5)
+ $(cmake-utils_use_find_package taglib Taglib)
+ )
+
+ kde5_src_configure
+}
+
+pkg_postinst() {
+ kde5_pkg_postinst
+
+ if ! has_version app-text/catdoc || ! has_version dev-libs/libxls; then
+ elog "To get additional features, optional runtime dependencies may be installed:"
+ optfeature "indexing of Microsoft Word or Powerpoint files" app-text/catdoc
+ optfeature "indexing of Microsoft Excel files" dev-libs/libxls
+ fi
+}